using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ConditionalDateFormat
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            List<Item> items = new List<Item>();

            for (int i = 0; i < 1000; i++)
            {
                if (i % 10 ==0 )
                {

                    items.Add(new Item() { Date = DateTime.FromOADate(0),Description = "Default" });
                }
                else
                {
                    items.Add(new Item() { Date = DateTime.Now });
                }
            }
            
            this.RadGridView1.ItemsSource = items;
        }
    }

    public class Item
    {
        public DateTime Date { get; set; }
        public string Description { get; set; }
    }
}
